unit TypeExit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TPWGTypeExit = class(TForm)
    Panel1: TPanel;
    btnLogoff: TBitBtn;
    btnReboot: TBitBtn;
    btnShutdown: TBitBtn;
    btnPoweroff: TBitBtn;
    BitBtn1: TBitBtn;
    Unconditional: TCheckBox;
    procedure btnLogoffClick(Sender: TObject);
    procedure btnRebootClick(Sender: TObject);
    procedure btnShutdownClick(Sender: TObject);
    procedure btnPoweroffClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

Const
  mrCancel   = 0;
  mrLogoff   = 1;
  mrReboot   = 2;
  mrShutDown = 3;
  mrPoweroff = 4;
  
var
  PWGTypeExit: TPWGTypeExit;
  HowExit    : Integer;
  
implementation

{$R *.DFM}
{$R ExitWin.res}

procedure TPWGTypeExit.btnLogoffClick(Sender: TObject);
begin
  HowExit:=mrLogoff;
  PWGTypeExit.close;
end;

procedure TPWGTypeExit.btnRebootClick(Sender: TObject);
begin
  HowExit:=mrReboot;
  PWGTypeExit.Close;
end;

procedure TPWGTypeExit.btnShutdownClick(Sender: TObject);
begin
  HowExit:=mrShutDown;
  PWGTypeExit.Close;
end;

procedure TPWGTypeExit.btnPoweroffClick(Sender: TObject);
begin
  HowExit:=mrPowerOff;
  PWGTypeExit.Close;
end;

procedure TPWGTypeExit.BitBtn1Click(Sender: TObject);
begin
  HowExit:=mrCancel;
  PWGTypeExit.Close;
end;

procedure TPWGTypeExit.FormCreate(Sender: TObject);
begin
  HowExit:=mrCancel;
end;

end.
